Module jdk.javadoc
Package com.sun.javadoc

## Interface AnnotationValue

- Deprecated.
  The declarations in this package have been superseded by those in the package `jdk.javadoc.doclet`. For more information, see the Migration Guide in the documentation for that package.

      @Deprecated
      public interface AnnotationValue

  Represents a value of an annotation type element.
  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString​()` | Deprecated. Returns a string representation of the value.
    `Object` | `value​()` | Deprecated. Returns the value.

- - ### Method Detail

    - #### value

          Object value​()

      Deprecated.
      Returns the value. The type of the returned object is one of the following:
      - a wrapper class for a primitive type
      - `String`
      - `Type` (representing a class literal)
      - `FieldDoc` (representing an enum constant)
      - `AnnotationDesc`
      - `AnnotationValue[]`
      Returns:
        the value.

    - #### toString

          String toString​()

      Deprecated.
      Returns a string representation of the value.
      Overrides:
        `toString` in class `Object`
      Returns:
        the text of a Java language annotation value expression whose value is the value of this element.